cURL
curl -X GET "https://api.fitsociety.io/public/v1/company-profile" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/company-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/company-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"company": {
"companyId": "66a201f6962b241f55ebc216",
"name": "FITsociety Studio",
"slug": "fitsociety-studio",
"logoUrl": "https://cdn.example.com/company/logo.png",
"imageUrl": "https://cdn.example.com/company/cover.jpg",
"businessType": "personal_training",
"email": "hello@fitsociety.nl",
"phoneNumber": "+31612345678",
"about": "Personal training and coaching studio.",
"location": {
"address": "Main street 1",
"addressLine1": "Main street 1",
"addressLine2": "Unit 2",
"zipCode": "1011AB",
"city": "Amsterdam",
"country": "NL"
},
"primaryLanguage": "nl",
"secondaryLanguage": "en",
"timeZone": "Europe/Amsterdam",
"timeFormat": "24h",
"dateFormat": "DD-MM-YYYY",
"currency": "EUR",
"profileVisibility": true,
"socialMedia": {
"website": "https://fitsociety.nl",
"instagram": "https://instagram.com/fitsociety",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
},
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Company profile
Get company profile
Requires company_catalog:read. Returns a public company profile DTO without VAT, company-register, billing, payment, or external-reference fields.
GET
/
public
/
v1
/
company-profile
cURL
curl -X GET "https://api.fitsociety.io/public/v1/company-profile" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/company-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/company-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"company": {
"companyId": "66a201f6962b241f55ebc216",
"name": "FITsociety Studio",
"slug": "fitsociety-studio",
"logoUrl": "https://cdn.example.com/company/logo.png",
"imageUrl": "https://cdn.example.com/company/cover.jpg",
"businessType": "personal_training",
"email": "hello@fitsociety.nl",
"phoneNumber": "+31612345678",
"about": "Personal training and coaching studio.",
"location": {
"address": "Main street 1",
"addressLine1": "Main street 1",
"addressLine2": "Unit 2",
"zipCode": "1011AB",
"city": "Amsterdam",
"country": "NL"
},
"primaryLanguage": "nl",
"secondaryLanguage": "en",
"timeZone": "Europe/Amsterdam",
"timeFormat": "24h",
"dateFormat": "DD-MM-YYYY",
"currency": "EUR",
"profileVisibility": true,
"socialMedia": {
"website": "https://fitsociety.nl",
"instagram": "https://instagram.com/fitsociety",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
},
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}⌘I